(function(){
	
	ingrs.auth = {};
	ingrs.auth.ui = {};
	
	ingrs.auth.ui.createInvalidLoginDialog = function(_params) {
		var alertDialog = Titanium.UI.createAlertDialog({
			title : L('Alert_Invalid_Login_Title'),
			message : L('Alert_Invalid_Login_Message'),
			buttonNames : [L('Alert_Invalid_Login_Btn_OK')]
		});
		if(_params.invokeFn != null){
			alertDialog.addEventListener('click', function(e) {
				_params.invokeFn();
			});
		}
		return alertDialog;
	};
	
	ingrs.auth.ui.createRedirectLoginDialog = function(_param) {
		var alertDialog = Titanium.UI.createAlertDialog({
			title : L('error_validation_title'),
			message : _param.message,
			buttonNames : [L('Alert_Invalid_Login_Btn_OK')]
		});
		
		if(_param.invokeFn !== null){
			alertDialog.addEventListener('click', function(e) {
				_param.invokeFn();
			});
		}
		return alertDialog;
	};
	
	ingrs.auth.ui.createClientDisabledDialog = function() {
		var alertDialog = Titanium.UI.createAlertDialog({
			title : L('Alert_Invalid_Login_Title'),
			message : L('Alert_Client_Disabled_Message'),
			buttonNames : [L('Alert_Invalid_Login_Btn_OK')]
		});
		return alertDialog;
	};
	
	ingrs.auth.ui.createDomainDisabledDialog = function(response) {
		var alertDialog = Titanium.UI.createAlertDialog({
			title : L('Alert_Domain_Locked_Title'),
			message : response.authMessage,
			buttonNames : [L('Alert_Invalid_Login_Btn_OK')]
		});
		return alertDialog;
	};
	
	ingrs.auth.ui.createMaskLabel = function() {
		var maskLabel = Ti.UI.createLabel({
			/* label text in android is closer to the border than text field */
			left:ingrs.isAndroid()?'5.8%':'3.1%',
			font: {
				fontSize:14,
				fontFamily:'monospace',
				fontWeight:'bold'
			},
			color:'#385487',
			width:'auto',
			borderWidth: 0,
			height:30,
			borderColor:'transparent',
			backgroundColor: 'white'
		});
		return maskLabel;
	};
	
	ingrs.auth.ui.createLoginHeader = function(){
		var headerView = Ti.UI.createView({
			top:0,
			backgroundColor:'white',
			height:105
		});
		
		var ingImage = Ti.UI.createView({
			backgroundImage:'/images/header/login_logo_main.png',
			top:15,
			height:61,
			width:138
			});

	
		headerView.add(ingImage);
		ingImage = null;
		
		var orangeBorder = Ti.UI.createView({
			bottom:0,
			backgroundColor:'#FF7C00',
			height:7
		});
		
		headerView.add(orangeBorder);
		orangeBorder = null;
		
		
		/* header text ends */
		return headerView;
	};
	
	ingrs.auth.ui.createTableView = function(param){
		var tableView;
		
		if (ingrs.isAndroid()){
			 tableView = Titanium.UI.createTableView({
				right:'3.1%',
				left:'3.1%',
				scrollable:false,
				backgroundColor:'white',
				rowBackgroundColor:'white',
				top:param.top+15,
				borderRadius:10,
				borderWidth:1,
				height:param.height,
				rowHeight:44,
				borderColor:'#808080'
			});
		}else{
			 tableView = Titanium.UI.createTableView({
				style: Titanium.UI.iPhone.TableViewStyle.GROUPED,
				backgroundColor:'transparent',
				scrollable:false,
				top:param.top,
				moving:false
				
			});
		}
		return tableView;
	};
	
	ingrs.auth.ui.createTableViewRow = function(){
		var userTypeRow;
		if (ingrs.isAndroid()){
			 userTypeRow = Ti.UI.createTableViewRow({
				height:44
			});
		}else{
			 userTypeRow = Ti.UI.createTableViewRow({
				backgroundColor:'white'
				
			});
		}
		return userTypeRow;
	};
	/*create text field */
	ingrs.auth.ui.createtextField = function(param){
		
			var textField = Titanium.UI.createTextField({
				color:'#385487',
				right:'3.1%',
				left:ingrs.isIphone()?'3.1%':'2.6%',
				borderStyle:Titanium.UI.INPUT_BORDERSTYLE_NONE,
				border:0,
				height:44,
				borderColor: 'transparent',
				backgroundColor: 'transparent',
				font:{fontSize:14,fontFamily:'Helvetica Neue'},
				returnKeyType:Titanium.UI.RETURNKEY_DONE,
				passwordMask:param.password,
				keyboardType:param.keyboard,
				hintText:param.hintText
			});
	
		return textField;
	};
	ingrs.auth.ui.done = Titanium.UI.createButton({
    	systemButton:ingrs.isIphone()?Titanium.UI.iPhone.SystemButton.DONE:'',
    	backgroundColor:'#44648E',
		backgroundImage:'none'
	});
	
	/* create login btn*/
	ingrs.auth.ui.createLoginBtn = function(){
		
		var btn = Titanium.UI.createButton({
			color:'#fff',
			backgroundImage : '/images/btns/btn_lrg_off.png',
			backgroundSelectedImage : '/images/btns/btn_lrg_on.png',
			top:16,
			left:'3.4%',
			right:'3.1%',
			height:41,
			font:{fontSize:19,fontWeight:'bold',fontFamily:'Helvetica Neue'},
			title:'Login'
		});
		return btn;
	};
	
	ingrs.auth.ui.createLabel = function (param)
	{
	   var label =  Ti.UI.createLabel({
			left:param.left,
			font:{fontSize:17, fontWeight:'bold',fontFamily:'Helvetica Neue'},
			color:param.color,
			width:'auto',
			text:param.text,
			height:44,
			borderColor:'transparent'
		});
		return label;
	};
	
	ingrs.auth.ui.createSecQuesLabel = function (param)
	{
	   var label =  Ti.UI.createLabel({
			left:param.left,
			font:{fontSize:15, fontWeight:'bold',fontFamily:'Helvetica Neue'},
			color:param.color,
			width:'auto',
			text:param.text,
			height:44,
			borderColor:'transparent'
		});
		return label;
	};
	
	ingrs.auth.ui.createPrefLabel = function (text)
	{
		var label =  Ti.UI.createLabel({
				font:{fontSize:17,fontFamily:'Helvetica Neue'},
				color:'#385487',
				textAlign:'right',
	  	 		width:'50%',//'37.5%',
				text:text,
				right:'10%'
			});
		return label;
	};
	
	/* create footer label in login screen*/
	ingrs.auth.ui.createFooterlabel1 = function (){
		
		var label = Titanium.UI.createLabel({
			text:'Version 1',
			color:'#363636',
			top:50,
			height:12,
			left:'4.5%',
			font:{fontSize:9.1,fontWeight:'bold'}
		});
		return label;
	};
	
	/* create footer label in login screen*/
	ingrs.auth.ui.createFooterlabel2 = function (){
		var year = new Date().getFullYear();
		var label = Titanium.UI.createLabel({
			text:'© '+year+', ING All Rights Reserved.',
			color:'#363636',
			height:12,
			left:'4.5%',
			font:{fontSize:9.1,fontWeight:'bold'}
		});
		return label;
	};
	
	/* used to create the login page table view */
	ingrs.auth.ui.createCustomTableView = function(param){
		var view = Ti.UI.createView({
			height:param.height,
			right:'3.1%',
			left:'3.1%',
			scrollable:false,
			backgroundColor:'white',
			top:param.top,
			borderRadius:10,
			borderWidth:1,
			borderColor:'#808080',
			layout:'vertical'
		});
		return view;
	};
	
	/* used to create the login page table row view */
	ingrs.auth.ui.createCustomRowView = function(params){
		var view = Ti.UI.createView({
			top:0,
			height:44,
			right:0,
			left:0
		});
		
		if(typeof params._showEndLine !== 'undefined' && params._showEndLine !== null && params._showEndLine){
			view.add(Titanium.UI.createView( {
				bottom:0,
				backgroundImage : '/images/bodycontent/div_line_horizontal.png',
				left : 1,
				right:1,
				height : '2'
				//width : '100%'
			}));
		}
			
		return view;
	};
	
	/**Confirmation dialog for registration / pref screens */
	ingrs.auth.ui.createConfirmationDialog = function(_params) {
		var alertDialog = Titanium.UI.createAlertDialog({
			title : _params.title,
			message : _params.message,
			buttonNames : [L('Alert_Invalid_Login_Btn_OK')]
		});
		
		alertDialog.addEventListener('click', function(e){
			_params.invokeFn(_params.data);
		});
	
		return alertDialog;
	};
		
})();
